from odbAccess import openOdb
from Parameters import *

odbname = sys.argv[-1]
opdb=openOdb(odbname+'.odb')
U=opdb.steps['Step-1'].frames[-1].fieldOutputs['U'].values	
UR=opdb.steps['Step-1'].frames[-1].fieldOutputs['UR'].values
U_dump=np.zeros([len(U),3],dtype=complex)
UR_dump=np.zeros([len(U),3],dtype=complex)
for i in range(len(U)):
	U_dump[i,:]=U[i].data+1j*U[i].conjugateData
	UR_dump[i,:]=UR[i].data+1j*UR[i].conjugateData
f=open(odbname+'_U.txt','w')
pickle.dump(U_dump,f)
f.close()
f=open(odbname+'_UR.txt','w')
pickle.dump(UR_dump,f)
f.close()
opdb.close()
