import sys,os,time
import numpy as np
import pickle,shutil
from numpy.linalg import solve
from numpy.ctypeslib import load_library,ndpointer
from ctypes import c_int,c_double


Model_Name='Layer3600.cae'
Part_Name=['Base','Layer']
Instance_Name='LAYER-1'
ESM_Name=['ESMBASE3600.mtx','ESMLAYER3600.mtx']
FM_Name='Fm3600.txt'
# Define Optimization Parameters
vf, rmin, K_penal, M_penal, change, iter_num, Xei = [0.5, 0.1, 3, 1, 1, 0, 1]
Mats={};Mats[Part_Name[0]]={};Mats[Part_Name[1]]={}
Mats[Part_Name[0]]=dict([('E0',1e-3),('E1',6.9e10),('D0',1e-3),('D1',2700),('th',0.02),('possion',0.3),('alpha',0),('beta',0)]) #thickness, possoin ratio, damping
Mats[Part_Name[1]]=dict([('E0',1e-3),('E1',2.2e8),('D0',1e-3),('D1',980),('th',0.02),('possion',0.49),('alpha',0.5),('beta',0.001)]) #thickness, possoin ratio, damping
w=15 # Excitation Frequency (Hz cycles/s)s