import numpy as np
import pickle
import matplotlib.pyplot as plt
import matplotlib
# Plot Data
f=open('Bare_U.txt')
Freq=pickle.load(f)
Xe=pickle.load(f)
f.close()
Xe=np.log(Xe)
fig, ax1 = plt.subplots(figsize=(18,8))
lns1=ax1.plot(Freq, Xe, '-',label='Objective Function')
f=open('Optimal_No_Damping_U.txt')
Freq=pickle.load(f)
Xe=pickle.load(f)
f.close()
Xe=np.log(Xe)
lns1=ax1.plot(Freq, Xe, 'r-',label='Objective Function')
ax1.set_xlabel('Frequency')
# Make the y-axis label and tick labels match the line color.
ax1.set_ylabel('Objective function(m)', color='b')
for tl in ax1.get_yticklabels():
    tl.set_color('b')
font = {'family' : 'serif',
		'serif'  : 'Times New Roman',
        'weight' : 'bold',
        'size'   : 20}
matplotlib.rc('font', **font)  # pass in the font dict as kwargs
plt.show()