function F=FELoad(FV,F,Ee,nelx,nely,nelz,type)
nDOF=7;
if strcmp(type,'CF') % Centroid Force
    FNL=[nelx/2+1 nelx/2+1 1];    
    Force=NodeC2L(FNL,nelx,nely,nelz);
elseif strcmp(type,'CLF') % Clamp ending Force
    FNL=[nelx/2+1 1 1];    
    Force=NodeC2L(FNL,nelx,nely,nelz);
elseif strcmp(type,'PR') % Pressure
    Force=Ee(:);
    FV=FV/4;
end
for i=1:size(Force,1)
    for j=1:1
        Bf=(Force(i)-1)*nDOF+j;
        F(Bf)=F(Bf)+FV;
    end
end