%%%% AN 88 LINE TOPOLOGY OPTIMIZATION CODE Nov, 2010 %%%%
%% defult
clear;
nelx=10;nely=12;nelz=1;
Lx=0.3048;Ly=0.3480;Lz=(0.762*2+0.254)/1000;
[Nodes,Ee]=ConstructModel(Lx,nelx,Ly,nely,Lz,nelz);
%% Build Element Matrix
a=Lx/nelx;b=Ly/nely;
[K,M]=Viscoelastic_damping_layer_FEmodel_5(a,b);
% load Viscoelastic_damping_layer_FEmodel_5.mat
%% FE-ANASIS
nDOF=5;NodeNum=8;Size_Matrix=nDOF*NodeNum;
n=nelx*nely;
m=nDOF*(1+nelx)*(1+nely)*(1+nelz);F=zeros(m,1);
edofMat = kron(nDOF*Ee,ones(1,nDOF))+repmat(repmat((-1*nDOF+1):1:0,1,NodeNum),n,1);
iK = reshape(kron(edofMat,ones(Size_Matrix,1))',n*Size_Matrix^2,1);
jK = reshape(kron(edofMat,ones(1,Size_Matrix))',n*Size_Matrix^2,1);
EK=reshape(K(:)*ones(1,n),n*Size_Matrix^2,1);
K= sparse(iK,jK,EK);
EM=reshape(M(:)*ones(1,n),n*Size_Matrix^2,1);
M= sparse(iK,jK,EM);
[K,M,DelRecord]=FEBoundary(K,M,F,nelx,nely,nelz,nDOF,'SSSS');
%% Model Analysis
[VV,DD]=eigs(real(K),M,10,0);
DD=sqrt(DD)/2/pi()
for i=1:10
    transpose(VV(:,i))*imag(K)*VV(:,i)/(transpose(VV(:,i))*real(K)*VV(:,i))
end